API ReferenceapiaffiliatesGET /v1/referrals/summary

GET /v1/referrals/summary

Service: affiliates · operationId: (none)

Referral link, status, and earnings summary for the current user.

Required scopes

(no scope declared — review service config)

Responses

200 Summary

{
  "type": "object",
  "properties": {
    "enrolled": {
      "type": "boolean"
    },
    "status": {
      "type": [
        "string",
        "null"
      ]
    },
    "link": {
      "type": [
        "object",
        "null"
      ],
      "properties": {
        "referral_code": {
          "type": "string"
        },
        "url": {
          "type": "string"
        },
        "brand_id": {
          "type": "string"
        }
      },
      "required": [
        "referral_code",
        "url",
        "brand_id"
      ]
    },
    "metrics": {
      "type": "object",
      "properties": {
        "referrals_total": {
          "type": "integer"
        },
        "conversions": {
          "type": "integer"
        },
        "earnings_to_date_cents": {
          "type": "string"
        },
        "pending_payout_cents": {
          "type": "string"
        }
      },
      "required": [
        "referrals_total",
        "conversions",
        "earnings_to_date_cents",
        "pending_payout_cents"
      ]
    }
  },
  "required": [
    "enrolled",
    "status",
    "link",
    "metrics"
  ]
}

Example

curl -X GET https://affiliates.platform.loop.health/v1/referrals/summary \
  -H "Authorization: Bearer $ACCESS_TOKEN"